' MYSQL.INC  -- Include file for MySQL programs


$IFNDEF __MYSQLINC

$DEFINE __MYSQLINC   0

'------------------------ QMYSQL Variables --------------------------
'-- Field.Flag
CONST Not_Null_Flag       = 1
CONST Pri_Key_Flag        = 2
CONST Unique_Key_Flag     = 4
CONST Multiple_Key_Flag   = 8
CONST Blob_Key_Flag       = 16
CONST Unsigned_Key_Flag   = 32
CONST ZeroFill_Flag       = 64
CONST Binary_Flag         = 128
CONST Enum_Flag           = 256
CONST Auto_Increment_Flag = 512
CONST TimeStamp_Flag      = 1024
CONST Set_Flag            = 2048
CONST Part_Key_Flag       = 16384
CONST Group_Flag          = 32768
CONST Unique_Flag         = 65536

'-- Field.Type
CONST Field_Type_Decimal   = 0
CONST Field_Type_Tiny      = 1
CONST Field_Type_Short     = 2
CONST Field_Type_Long      = 3
CONST Field_Type_Float     = 4
CONST Field_Type_Double    = 5
CONST Field_Type_Null      = 6
CONST Field_Type_TimeStamp = 7
CONST Field_Type_LongLong  = 8
CONST Field_Type_Int24     = 9
CONST Field_Type_Date      = 10
CONST Field_Type_Time      = 11
CONST Field_Type_DateTime  = 12
CONST Field_Type_Year      = 13
CONST Field_Type_NewDate   = 14
CONST Field_Type_Enum      = 247
CONST Field_Type_Set       = 248
CONST Field_Type_TinyBlob  = 249
CONST Field_Type_MediumBlobk = 250
CONST Field_Type_LongBlob  = 251
CONST Field_Type_Blob      = 252
CONST Field_Type_VarString = 253
CONST Field_Type_String    = 254

'-- Refresh options
CONST Refresh_Grant       = 1         '' Refresh grant tables
CONST Refresh_Log         = 2         '' Start on new log file
CONST Refresh_Table       = 4         '' Close all tables
CONST Refresh_Hosts       = 8         '' Flush host cache
CONST Refresh_Status      = 16        '' Flush status variables
CONST Refresh_Fast        = 32768     '' Intern flag


$ENDIF ' __MYSQLINC
